> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noisemaker.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Stage immutable workspace inputs and trigger research



## OpenAPI

````yaml /openapi.json post /api/v1/workspaces/{workspace}/research/runs
openapi: 3.0.3
info:
  title: ai-cmo.dev Services API
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/workspaces/{workspace}/research/runs:
    post:
      summary: Stage immutable workspace inputs and trigger research
      operationId: triggerResearchRun
      parameters:
        - name: workspace
          in: path
          required: true
          schema:
            type: string
            pattern: ^[a-z0-9-]+$
      responses:
        '202':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResearchJob'
      security:
        - cookieAuth: []
        - bearerAuth:
            - runs:write
components:
  schemas:
    ResearchJob:
      type: object
      properties:
        jobId:
          type: string
        status:
          type: string
          enum:
            - running
            - succeeded
            - failed
            - cancelled
      required:
        - jobId
        - status
      additionalProperties: false
  securitySchemes:
    cookieAuth:
      type: apiKey
      in: cookie
      name: geo.session
      description: Signed HttpOnly browser session cookie
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: gp_live_<43 base64url characters>
      description: Workspace-bound machine API key

````